//=======================================================================================
// ____          ____    __    ______     __________   __      __       __        __         
// \    \       |    |  |  |  |   _   \  |___    ___| |  |    |  |     /  \      |  |        
//  \    \      |    |  |  |  |  |_)   |     |  |     |  |    |  |    /    \     |  |        
//   \    \     |    |  |  |  |   _   /      |  |     |  |    |  |   /  /\  \    |  |        
//    \    \    |    |  |  |  |  | \  \      |  |     |   \__/   |  /  ____  \   |  |____    
//     \    \   |    |  |__|  |__|  \__\     |__|      \________/  /__/    \__\  |_______|   
//      \    \  |    |   ________________________________________________________________    
//       \    \ |    |  |  ______________________________________________________________|   
//        \    \|    |  |  |         __          __     __     __     ______      _______    
//         \         |  |  |_____   |  |        |  |   |  |   |  |   |   _  \    /  _____)   
//          \        |  |   _____|  |  |        |  |   |  |   |  |   |  | \  \   \_______    
//           \       |  |  |        |  |_____   |   \_/   |   |  |   |  |_/  /    _____  |
//            \ _____|  |__|        |________|   \_______/    |__|   |______/    (_______/   
//
//  This file is part of VirtualFluids. VirtualFluids is free software: you can 
//  redistribute it and/or modify it under the terms of the GNU General Public
//  License as published by the Free Software Foundation, either version 3 of 
//  the License, or (at your option) any later version.
//  
//  VirtualFluids is distributed in the hope that it will be useful, but WITHOUT 
//  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
//  for more details.
//  
//  You should have received a copy of the GNU General Public License along
//  with VirtualFluids (see COPYING.txt). If not, see <http://www.gnu.org/licenses/>.
//
//! \file D3Q27.h
//! \ingroup LBM
//! \author Martin Schoenherr
//=======================================================================================
#ifndef _LB_D3Q27_H_
#define _LB_D3Q27_H_

#define dirSTART  0
#define dirEND   26

#define dirE    /*f1 */  0
#define dirW    /*f2 */  1
#define dirN    /*f3 */  2
#define dirS    /*f4 */  3
#define dirT    /*f5 */  4
#define dirB    /*f6 */  5
#define dirNE   /*f7 */  6
#define dirSW   /*f8 */  7
#define dirSE   /*f9 */  8
#define dirNW   /*f10*/  9
#define dirTE   /*f11*/  10
#define dirBW   /*f12*/  11
#define dirBE   /*f13*/  12
#define dirTW   /*f14*/  13
#define dirTN   /*f15*/  14
#define dirBS   /*f16*/  15
#define dirBN   /*f17*/  16
#define dirTS   /*f18*/  17

#define dirTNE    /*f */  18
#define dirTNW    /*f */  19
#define dirTSE    /*f */  20
#define dirTSW    /*f */  21
#define dirBNE    /*f */  22
#define dirBNW    /*f */  23
#define dirBSE    /*f */  24
#define dirBSW    /*f */  25

#define dirZERO /*f0 */  26
#define dirREST /*f0 */  26

#endif


